flavor:
  id: &flavor_id "flavor_id"
  v_cpus: "v_cpus"
  ram: "ram"
  disk: "disk"
image:
  image_id: &image_id "da25f4b0-3183-4993-ac2b-4744e4ed77cb"
  provider: "openstack"
  remote_user: "centos"
  name: &image_name "CentOS-7-x86_64"
provider_image:
  id: *image_id
  name: *image_name
  status: ACTIVE
network:
  cidr: cidr
  id: subnetId
  name: subnetId
environment:
  id: openstack_env
  provider: "openstack"
  run_list: []
  expires: null
  users: []
  flavor: *flavor_id
  image: *image_id
  subnets: []
  groups: []
  stack_template: null
fake_account:
  account_name: test_openstack_account
  description: This is test account for openstack provider
  ssh_key: test_key_name
  username: foo
  auth_url: foo
  tenant: foo
  api_key: foo
account:
  account_name: &account_name foo
category:
  id: &category_id "openstack_category"
  provider:
    name: "openstack"
    account: *account_name
    flavor: *flavor_id
    image: *image_id
    subnets: [subnet_id]
    security_groups: [ "defaults" ]
    stack_template: null
  cm_tool:
    name: "chef"
server:
  project: cucumber_project
  environment: test
  category: *category_id
  name: openstack_server

fake_account_mandatory_fields: ['account_name', 'ssh_key', 'username', 'auth_url', 'tenant', 'api_key']
image_mandatory_fields: ['image_id', 'provider', 'provider_account', 'remote_user' ]
category_mandatory_fields: ['id', 'provider', 'cm_tool']
server_mandatory_fields: ['project', 'environment', 'category']
